diff --git a/isisd/isis_tlvs.c b/isisd/isis_tlvs.c
index 454ddcd69cb3..3db8b8068e9d 100644
--- a/isisd/isis_tlvs.c
+++ b/isisd/isis_tlvs.c
@@ -1514,6 +1514,9 @@ isis_copy_subsubtlvs(struct isis_subsubtlvs *subsubtlvs)
 
 	rv->context = subsubtlvs->context;
 
+	rv->srv6_sid_structure = copy_subsubtlv_srv6_sid_structure(
+		subsubtlvs->srv6_sid_structure);
+
 	return rv;
 }
 
